Bug 257781 - sysutils/moosefs3-master: Update MooseFS to 3.0.116
Summary: sysutils/moosefs3-master: Update MooseFS to 3.0.116
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL: https://github.com/moosefs/moosefs/re...
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2021-08-12 04:02 UTC by Piotr Robert Konopelko (MooseFS)
Modified: 2021-08-18 23:33 UTC (History)
3 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
Update MooseFS to the latest stable version (3.0.116) (1.24 KB, patch)
2021-08-12 04:02 UTC, Piotr Robert Konopelko (MooseFS)
freebsd: maintainer-approval+
Details | Diff
Update MooseFS to the latest stable version (3.0.116) (1.25 KB, patch)
2021-08-17 19:38 UTC, Piotr Robert Konopelko (MooseFS)
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Robert Konopelko (MooseFS) 2021-08-12 04:02:44 UTC
Created attachment 227125 [details]
Update MooseFS to the latest stable version (3.0.116)

Update MooseFS to the latest stable version (3.0.116).

The master port will upgrade all the moosefs3-* related ports as well.

This change in ports passes QA (portlint, poudriere).


Recent changes since MooseFS 3.0.115:

* MooseFS 3.0.116-1 (2021-08-10)

  - (check) making clock test less prone to single failure
  - (master) added protection against listing too big directory
  - (master) servers in 'rebalance' state are now allowed to be used in replication
  - (cs) changed handling 'load+hlstatus' packet
  - (mount) added symlink cache timeout
  - (master) added option to define inode reuse delay
  - (cgi+cli) fixed division by zero when scount is zero (no chunkservers - issue #412)
  - (master) added inode virtual length for append mode
  - (mount) moved rwlock from descriptor to inode (fixes append issues)
  - (cgi) changed method of charts selection in charts comparison
  - (cgi) added message to function that handles exceptions
  - (cgi) added using htmlentities function for various strings
  - (mount) removed old osxfuse patch (doesn't work with current osxfuse and is no longer needed)
  - (master) fixed default paths for exports.cfg and topology.cfg
  - (master) fixed restore mode (missing cache initialization - issue #432)
  - (mount) added parents of CWD's to 'sustained' inodes (workaround for FreeBSD problem - issue #362)
  - (all) fixed spelling
  - (master) fixed handling copy sgid for directories on follower and during restore from changelog
  - (master) fixed changelog order between unlock and close file or session
  - (cgi) fixed using '&' in javascript URLs (issue #439)
  - (cgiserv) fixed error/redirect responses (pull request by Eronana)
  - (master+cs) fixed overflows in cgi charts
  - (cs) fixed crc data in info packets (*_CHUNK_CHECKSUM,*_CHUNK_CHECKSUM_TAB)

Thanks,
Piotr
Comment 1 Piotr Robert Konopelko (MooseFS) 2021-08-17 19:38:52 UTC
Created attachment 227290 [details]
Update MooseFS to the latest stable version (3.0.116)
Comment 2 Piotr Robert Konopelko (MooseFS) 2021-08-18 16:39:33 UTC
@Tobias,
May I ask for your help with committing this release, please?

By the way – I noted a strange (minor) discrepancy between the Git / SVN and real port files on my testing FreeBSD machine:

Please have a look at this file, line #2:

https://github.com/freebsd/freebsd-ports/blob/e992c121359a40c891bc8af01eb989a124e89779/sysutils/moosefs3-master/Makefile

or:

https://svnweb.freebsd.org/ports/head/sysutils/moosefs3-master/Makefile?revision=551856&view=markup

and compare it with:

[root@freebsd-test ~]# head /usr/ports/sysutils/moosefs3-master/Makefile
# Created by: Jakub Kruszona-Zawadzki <acid@moosefs.com> ; Based on port created by: Chifeng Qu <chifeng@gmail.com>

PORTNAME=		moosefs3
DISTVERSION=		3.0.115
DISTVERSIONSUFFIX=	1
PORTREVISION=		0
CATEGORIES=		sysutils
MASTER_SITES=		http://ppa.moosefs.com/src/
PKGNAMESUFFIX?=		-master
DISTNAME=		moosefs-${DISTVERSION}-${DISTVERSIONSUFFIX}
[root@freebsd-test ~]#

I have no idea why "# $FreeBSD$" line is missing. Usually it was updated to show last file's commit date and person who committed it.

This is why I updated the patch, however it seems that this line is present in Git / SVN, so I'm a little bit confused.

I even removed the /usr/ports/sysutils/moosefs3-* dirs and ran "portsnap fetch" and "portsnap extract" to make sure I don't have any custom changes, but this line is still missing.

Don't know if it's an issue (ports build correctly), but just mentioning.

Thanks,
Piotr
Comment 3 Piotr Robert Konopelko (MooseFS) 2021-08-18 16:55:49 UTC
Ok, I've figured this out. It seems that "# $FreeBSD$" line was removed from all the Makefiles:

https://github.com/freebsd/freebsd-ports/commits/main/sysutils/moosefs3-master/Makefile

by this commit: 

https://github.com/freebsd/freebsd-ports/commit/305f148f482daf30dcf728039d03d019f88344eb#diff-e7306847cbcc4a56755ceb547cd1f4b0eca2937094a0a0a7ba1505d3e971ec00

It's strange that SVN doesn't reflect this change? Has ports development switched to Git or I'm missing something?

Anyway my original patch (https://bugs.freebsd.org/bugzilla/attachment.cgi?id=227125&action=edit) is a correct one to be committed.

Thanks,
Piotr
Comment 4 Tobias C. Berner freebsd_committer 2021-08-18 20:53:24 UTC
(In reply to Piotr Robert Konopelko (MooseFS) from comment #3)
Moin moin 


SVN is dead :) so changes that happend after the transition won't be refelected there. The "$FreeBSD$" tag was something specific to subversion and no longer used in the git-tree. So all is as it should be :)


mfg Tobias
Comment 5 Tobias C. Berner freebsd_committer 2021-08-18 21:00:34 UTC
Committed. Thanks.

mfg Tobias
Comment 6 commit-hook freebsd_committer 2021-08-18 21:00:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=917605615fbf250a4a1dc8fae3cc4adf6910c2a8

commit 917605615fbf250a4a1dc8fae3cc4adf6910c2a8
Author:     Piotr Robert Konopelko (MooseFS) <piotr.konopelko@moosefs.pro>
AuthorDate: 2021-08-18 20:56:32 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-08-18 20:58:38 +0000

    sysutils/moosefs3-*: update to 3.0.116

    Recent changes since MooseFS 3.0.115:

    * MooseFS 3.0.116-1 (2021-08-10)

      - (check) making clock test less prone to single failure
      - (master) added protection against listing too big directory
      - (master) servers in 'rebalance' state are now allowed to be used in replication
      - (cs) changed handling 'load+hlstatus' packet
      - (mount) added symlink cache timeout
      - (master) added option to define inode reuse delay
      - (cgi+cli) fixed division by zero when scount is zero (no chunkservers - issue #412)
      - (master) added inode virtual length for append mode
      - (mount) moved rwlock from descriptor to inode (fixes append issues)
      - (cgi) changed method of charts selection in charts comparison
      - (cgi) added message to function that handles exceptions
      - (cgi) added using htmlentities function for various strings
      - (mount) removed old osxfuse patch (doesn't work with current osxfuse and is no longer needed)
      - (master) fixed default paths for exports.cfg and topology.cfg
      - (master) fixed restore mode (missing cache initialization - issue #432)
      - (mount) added parents of CWD's to 'sustained' inodes (workaround for FreeBSD problem - issue #362)
      - (all) fixed spelling
      - (master) fixed handling copy sgid for directories on follower and during restore from changelog
      - (master) fixed changelog order between unlock and close file or session
      - (cgi) fixed using '&amp;' in javascript URLs (issue #439)
      - (cgiserv) fixed error/redirect responses (pull request by Eronana)
      - (master+cs) fixed overflows in cgi charts
      - (cs) fixed crc data in info packets (*_CHUNK_CHECKSUM,*_CHUNK_CHECKSUM_TAB)

    PR:             257781

 sysutils/moosefs3-master/Makefile | 2 +-
 sysutils/moosefs3-master/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 7 Piotr Robert Konopelko (MooseFS) 2021-08-18 23:33:07 UTC
(In reply to Tobias C. Berner from comment #4)

Thanks for the explanation, Tobias. It makes a lot of sense now. Actually I wasn't aware of the SVN –> Git transition, but I think this is the right direction :)

Also many thanks for committing it so fast.

Best,
Piotr